Skip to navigation

Get the file lines of a file by the files ID

Requires the FILE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
statusstringOptionalDeprecated

Deprecated, use statuses[]. The status by which the lines will be filtered.

statuses[]list of stringsOptional
Filter the lines on any of these statuses

Response

OK
datalist of objects
pageinteger or nullOptional
limitinteger or nullOptional
total_number_of_pagesinteger or nullOptionalDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error